function [u, ui] = fartwo(v)
nv = size(v, 1);
u = v(1:2, :);
ui = [1; 2];
iter = 3;
for i = 1 : iter
  j = mod(i, 2) + 1;
  b = u(3-j, :);
  d = sum((v - repmat(b, nv, 1)).^2, 2);
  [~, ui(j)] = max(d);
  u(j, :) = v(ui(j), :);
end
