function u = laprow(L, b, c)
%  LAPROW Laplacian with constraints
%     u = LAPROW(L, b, c) solves laplace equation with constraint

nv = size(L, 2);
u = zeros(nv, 1);
u(b) = c;
v = L * u;
v(b) = [];
L(:, b) = [];
L(b, :) = [];
z = - L \ v;
a = 1 : nv;
a(b) = [];
u(a) = z;
end
